<template>
  <div>
    <!-- Video组件 -->
    <CommonVideo :src="src" poster="" controls="true" />
    <button type="button" class="btn btn-success" style="width: 100%;margin-top: 20px;" @click="studyFinish">{{ $t("lang.StudyVideo.completeCourse") }}</button>
  </div>
</template>

<script>
import Common from '../common/Common.js';
import CommonVideo from '../widget/CommonVideo.vue';
export default {

  components: {
    CommonVideo,
  },
  emits: ['finishTask'],

  data() {
    return {
      src: '/TrainVideo/SystemIntroduction.mp4',
    };
  },
        
  mounted() {
    //this.src = Common.getResourceUrl('video', 'com.leanwo.prodog.asset.model.AssetConfig', '测试用例-培训1(1).mp4');
           
  },
  methods: {
    studyFinish: function(){
      this.$emit('finishTask');
    },
  },
        
};
</script>